RM(1)

NAMA
rm - remove files or directories

RINGKASAN
rm [PILIHAN]... [BERKAS]...

DESKRIPSI
Dokumentasi manual page ini adalah versi GNU rm. rm menghapus suatu file. Defaultnya, tidak menghapus direktori.

If the -I or --interactive=once option is given, and there are more than three files or the -r, -R, or --recursive are given, then rm prompts the user for whether to proceed with the entire operation. If the response is not affirmative, the entire command is aborted.

Otherwise, if a file is unwritable, standard input is a terminal, and the -f or --force option is not given, or the -i or --interactive=always option is given, rm prompts the user for whether to remove the file. If the response is not affirmative, the file is skipped.

PILIHAN

Remove (unlink) the FILE(s).

-f, --force
    abaikan berkas yang tidak ada, jangan menanyakan

-i  tanya setiap akan menghapus

-I  tanya sekali sebelum menghapus lebih dari tiga berkas, atau ketika menghapus secara rekursif. Kurang intrusive daripada -i, ketika tetap memberikan proteksi terhadap setiap kesalahan

--interactive[=KAPAN]
    tanya menurut KAPAN: never, once (-I), atau always (-i). Tanpa KAPAN, selalu bertanya

--one-file-system
    ketika menghapus sebuah hierarki secara rekursif, lewati direktori apapun yang ada di sebuah sistem berkas berbeda dari yang berhubungan dengan argumen baris perintah

--no-preserve-root
    jangan perlakukan '/' spesial

--preserve-root[=all]
    do not remove '/' (default); with 'all', reject any command line argument on a separate device from its parent

-r, -R, --recursive
    hapus direktori dan isinya secara rekursif

-d, --dir
    remove empty directories

-v, --verbose
    jelaskan apa yang sedang dilakukan

--help
    tampilkan bantuan ini dan keluar

--version
    tulis informasi versi dan keluar

Secara default, rm tidak menghapus direktori. Gunakan --recursive (-r atau -R) untuk menghapus direktori, juga, sesuai dengan seluruh isinya.

Untuk menghapus sebuah berkas yang namanya dimulai dengan sebuah `-', sebagai contoh `-foo', gunakan salah satu dari perintah berikut:

    rm -- -foo

    rm ./-foo

Note that if you use rm to remove a file, it might be possible to recover some of its contents, given sufficient expertise and/or time. For greater assurance that the contents are truly unrecoverable, consider using shred(1).

PENGARANG
Ditulis oleh Paul Rubin, David MacKenzie, Richard M. Stallman dan Jim Meyering.

MELAPORKAN BUG
Bantuan daring GNU coreutils: <https://www.gnu.org/software/coreutils/>
Lapor bug penerjemahan ke <https://translationproject.org/team/id.html>

HAK CIPTA
Hak Cipta © 2022 Free Software Foundation, Inc. License GPLv3+: GNU GPL versi 3 atau selanjutnya <https://gnu.org/licenses/gpl.html>.
Ini adalah perangkat lunak bebas: Anda bebas untuk mengubah dan mendistribusikannya. TIDAK ADA JAMINAN, sampai batas yang diperbolehkan oleh hukum.

LIHAT JUGA
unlink(1), unlink(2), chattr(1), shred(1)

Dokumentasi lengkap <https://www.gnu.org/software/coreutils/rm>
atau tersedia lokal melalui: info '(coreutils) rm invocation'

TERJEMAHAN
Terjemahan bahasa Indonesia dari halaman manual ini dibuat oleh Rizqy Syarief <rizqy@rad.net.id>

Terjemahan ini adalah Dokumentasi Gratis; baca GNU General Public License Versi 3 (https://www.gnu.org/licenses/gpl-3.0.html) atau yang lebih baru untuk Persyaratan hak cipta. Kami berasumsi TIDAK BERTANGGUNG JAWAB.

Jika Anda menemukan kesalahan dalam terjemahan halaman manual ini, silakan kirim email ke TODO.